const APP_DISPLAY_NAME = "Nuke Anything Enhanced";
const APP_NAME = "nukeanythingenanced";
const APP_PACKAGE = "/Ted Mielczarek/nukeanything";
const APP_VERSION = "0.68.1";

const APP_JAR_FILE = "nukeanything.jar";
const APP_CONTENT_FOLDER = "content/nukeanything/";
const APP_LOCALE_FOLDERS = ["en-US", "fr-FR", "hu-HU", "it-IT"];
const APP_SKIN_FOLDER    = "skin/";

const APP_PREFS_FILE = "nuke_anything_enhanced.js";

const APP_SUCCESS_MESSAGE = "The new menuitems will appear on the context menu.\n\n";


initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

var chromef = getFolder("Profile", "chrome");
var instFlags = PROFILE_CHROME;

var err = addFile(APP_PACKAGE, APP_VERSION, "chrome/" + APP_JAR_FILE, chromef, null);

if(err >= SUCCESS) {
	var jar = getFolder(chromef, APP_JAR_FILE);
	registerChrome(CONTENT | instFlags, jar, APP_CONTENT_FOLDER);
	registerChrome(SKIN    | instFlags, jar, APP_SKIN_FOLDER);
	for (var i = 0; i < APP_LOCALE_FOLDERS.length; i++) {
		registerChrome(LOCALE | instFlags, jar, "locale/" + APP_LOCALE_FOLDERS[i] + "/nukeanything/");
	}

	var prefFolder = getFolder(getFolder("Program", "defaults"), "pref");
	addFile(APP_PACKAGE, APP_VERSION, "defaults/preferences/" + APP_PREFS_FILE, prefFolder, null);

	err = performInstall();
	if(err >= SUCCESS) {
		alert(APP_NAME + " " + APP_VERSION + " has been succesfully installed.\n"
			+APP_SUCCESS_MESSAGE
			+"Please restart your browser before continuing.");
	} else { 
		alert("Install failed. Error code:" + err);
		cancelInstall(err);
	}
} else { 
	alert("Failed to create " +APP_JAR_FILE +"\n"
		+"You probably don't have appropriate permissions \n"
		+"(write access to Profile/chrome directory). \n"
		+"_____________________________\nError code:" + err);
	cancelInstall(err);
}
